Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455570 - GFS2: [RFE] DAX support
Summary: GFS2: [RFE] DAX support
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: GFS-kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 10:34 UTC by Steve Whitehouse
Modified: 2014-10-16 09:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Initial patch, still need some work (deleted)
2008-12-09 15:46 UTC, Steve Whitehouse
no flags Details | Diff
The guts of the thing (deleted)
2008-12-09 15:46 UTC, Steve Whitehouse
no flags Details
The header file to go with it (deleted)
2008-12-09 15:47 UTC, Steve Whitehouse
no flags Details

Description Steve Whitehouse 2008-07-16 10:34:34 UTC
We should have XIP support for GFS2. This can be tested with a ram disk now, so
no special hardware is required.

Comment 1 Steve Whitehouse 2008-12-09 15:46:15 UTC
Created attachment 326336 [details]
Initial patch, still need some work 

This still needs some work, so don't get too excited yet.... but I've just updated it since the original was suffering from bitrot. Its updated to apply after the pending patch to merge lock_dlm. I would not expect to merge this until that patch has gone in at least.

Also required are a couple of new files, which I'll attach in a moment.

Comment 2 Steve Whitehouse 2008-12-09 15:46:46 UTC
Created attachment 326337 [details]
The guts of the thing

Comment 3 Steve Whitehouse 2008-12-09 15:47:12 UTC
Created attachment 326338 [details]
The header file to go with it

Comment 4 Steve Whitehouse 2014-10-16 09:55:27 UTC
Updating bug subject to reflect new name upstream.


Note You need to log in before you can comment on or make changes to this bug.